Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCalendar.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCalendar.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCalendar.cs	(revision 51)
@@ -77,8 +77,8 @@
                 int Holidays = 0;
 
                 string strSQL = "SELECT COUNT(*) FROM HOLIDAYCALENDERMASTER";
-                strSQL += string.Format(" WHERE DATE_FORMAT('{0}','%Y/%m/%d') <= HOLIDAY", Startdate.ToShortDateString());
-                strSQL += string.Format(" AND HOLIDAY <= DATE_FORMAT('{0}','%Y/%m/%d')", Complatedate.ToShortDateString());
+                strSQL += string.Format(" WHERE TO_DATE('{0}','YYYY/MM/DD') <= HOLIDAY", Startdate.ToShortDateString());
+                strSQL += string.Format(" AND HOLIDAY <= TO_DATE('{0}','YYYY/MM/DD')", Complatedate.ToShortDateString());
 
                 ArrayList datalist = new ArrayList();
                 if (!calDB.ExecuteReader(strSQL, ref datalist)) return 0;
@@ -128,31 +128,24 @@
         }
         #endregion
 
-        //#region 指定期間内の経過日数を1人月を上限に返す
-        ///// <summary>
-        ///// 指定期間内の経過日数を1人月を上限に返す
-        ///// </summary>
-        ///// <param name="startdate">開始日</param>
-        ///// <param name="Complatedate">終了日</param>
-        ///// <returns></returns>
-        //public static int CalcPassedDaysCountToUnit(DateTime Startdate, DateTime Complatedate)
-        //{
-        //    try
-        //    {
-        //        int passDay = CalcPassedDaysCount(Startdate, Complatedate);
-
-        //        int OneMonth = (int)(CommonDefine.s_ManHourUnitDays * 10.0);
-
-        //        //if (passDay > OneMonth) passDay = OneMonth;
-
-        //        return passDay;
-        //    }
-        //    catch (Exception ex)
-        //    {
-        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-        //        return 0;
-        //    }
-        //}
-        //#endregion
+        #region 日数を月数に変換して返す
+        /// <summary>
+        /// 日数を月数に変換して返す
+        /// </summary>
+        /// <param name="DateCount"></param>
+        /// <returns></returns>
+        public static double cnvMonthFromDays(int DateCount)
+        {
+            try
+            {
+                return (DateCount / CommonDefine.s_ManHourUnitMonth);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 51)
@@ -60,7 +60,7 @@
             try
             {
                 // 工事詳細台帳入力完了日をセットする
-                if (!BaseDB.UpdateFeild(ConstrCode, (int)IOConstructionBaseInfo.TableColumn.LEDGERCOMPLATEDATE, SetDate)) return false;
+                if (!BaseDB.UpdateFeild(ConstrCode, (int)IOConstructionBaseInfo.TableColumn.LedgerComplateDate, SetDate)) return false;
 
                 return true;
             }
@@ -75,5 +75,424 @@
             }
         }
         #endregion
+
+        #region 関連データすべて削除
+        /// <summary>
+        /// 関連データすべて削除
+        /// </summary>
+        /// <returns></returns>
+        public static bool RemoveAllelationData(int RemoveCode)
+        {
+            IOConstructionBaseInfo DB01 = new IOConstructionBaseInfo();		        // 工事基本情報
+            IOConstructionBaseInfoDetail DB02 = new IOConstructionBaseInfoDetail(); // 工事基本情報明細
+            IOConstructionLink DB03 = new IOConstructionLink();                     // 工事増減情報
+            IOProcessApproval DB04 = new IOProcessApproval();                       // 承認データ
+            IOConstructionProgressDate DB05 = new IOConstructionProgressDate();     // 案件進捗日付データ
+            IOEstimateData DB06 = new IOEstimateData();                             // 積算見積書データ
+            IOEstimateDataBody DB07 = new IOEstimateDataBody();                     // 積算見積書ページデータ
+            IOEstimateDataDetail DB08 = new IOEstimateDataDetail();                 // 積算見積書明細データ
+            IOEstimateBudget DB09 = new IOEstimateBudget();                         // 積算予算書データ
+            IOEstimateBudgetDetail DB10 = new IOEstimateBudgetDetail();             // 積算予算書明細データ
+            IOConstructionBudget DB11 = new IOConstructionBudget();                 // 工事予算書データ
+            IOOrdersPriceData DB12 = new IOOrdersPriceData();		                // 受注金額データ
+            IOConstructionBudgetDetail DB13 = new IOConstructionBudgetDetail();     // 工事予算書明細データ
+            IOConstructionLedger DB14 = new IOConstructionLedger();                 // 工事詳細台帳データ
+            IOConstructionLedgerDetail DB15 = new IOConstructionLedgerDetail();     // 工事詳細台帳明細データ
+            IOConstructionLedgerExcute DB16 = new IOConstructionLedgerExcute();     // 工事詳細台帳実行データ
+            IOPurchaseOrder DB17 = new IOPurchaseOrder();			                // 注文書データ
+            IOPurchaseOrderDetail DB18 = new IOPurchaseOrderDetail();               // 注文書明細データ
+
+            IOProceedingsData DB19 = new IOProceedingsData();                       // 発注者打ち合わせ議事録データ
+            IOProceedingsDataAttendee DB20 = new IOProceedingsDataAttendee();       // 発注者打ち合わせ議事録データ（出席者）
+            IOProceedingsDataDetail DB21 = new IOProceedingsDataDetail();           // 発注者打ち合わせ議事録データ（明細）
+            IODailyDataConstruction DB22 = new IODailyDataConstruction();           // 日報データ
+            IODailyDataDetail DB23 = new IODailyDataDetail();                       // 日報データ (明細)
+            IODailyDataVehicles DB24 = new IODailyDataVehicles();                   // 日報データ (車両)
+            IODailyDataMaterials DB25 = new IODailyDataMaterials();                 // 日報データ (資材)
+            IODailyDataSubcontractors DB26 = new IODailyDataSubcontractors();       // 日報データ (協力業者指示)
+            IODailyDataField DB27 = new IODailyDataField();                         // 日報データ (現場巡回)
+            try
+            {
+                // 工事情報存在確認
+                string strExists = DB01.CreatePrimarykeyString(RemoveCode);
+                ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
+                if (!DB01.SelectAction(strExists, ref BaseRec)) return false;
+
+                List<int> RemoveList = new List<int>();
+                List<int> UpdateLinkList = new List<int>();
+                int ParentCode = 0;
+                int LinkCount = 0;
+                RemoveList.Add(RemoveCode);
+                // 増減工事親確認
+                if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Parent)
+                {
+                    GetLinkageCode(RemoveCode, DB03, ref RemoveList, false);
+                }
+                else if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
+                {
+                    LinkCount = GetLinkageCode2(RemoveCode, DB03, ref ParentCode);
+                }
+                // 結合工事親確認
+                if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent)
+                {
+                    GetLinkageCode(RemoveCode, DB03, ref UpdateLinkList, true);
+                }
+
+                DB01.connect(); DB02.connect(); DB03.connect(); DB04.connect(); DB05.connect(); DB06.connect();
+                DB07.connect(); DB08.connect(); DB09.connect(); DB10.connect(); DB11.connect(); DB12.connect();
+                DB13.connect(); DB14.connect(); DB15.connect(); DB16.connect(); DB17.connect(); DB18.connect();
+                DB19.connect(); DB20.connect(); DB21.connect(); DB22.connect(); DB23.connect(); DB24.connect();
+                DB25.connect(); DB26.connect(); DB27.connect();
+
+                DB01.beginTran(); DB02.beginTran(); DB03.beginTran(); DB04.beginTran(); DB05.beginTran(); DB06.beginTran();
+                DB07.beginTran(); DB08.beginTran(); DB09.beginTran(); DB10.beginTran(); DB11.beginTran(); DB12.beginTran();
+                DB13.beginTran(); DB14.beginTran(); DB15.beginTran(); DB16.beginTran(); DB17.beginTran(); DB18.beginTran();
+                DB19.beginTran(); DB20.beginTran(); DB21.beginTran(); DB22.beginTran(); DB23.beginTran(); DB24.beginTran();
+                DB25.beginTran(); DB26.beginTran(); DB27.beginTran();
+
+                bool ProcSuccess = true;
+                string strRemove = string.Empty;
+                string strRemove2 = string.Empty;
+                for (int i = 0; i < RemoveList.Count; i++)
+                {
+                    strRemove = DB01.CreatePrimarykeyString(RemoveList[i]);
+                    if (!DB01.DeleteAction(strRemove, false)) { ProcSuccess = false; break; }
+                    if (!DB02.DeleteAction(strRemove, false)) { ProcSuccess = false; break; }
+
+                    DB04.DeleteAction(strRemove, false);
+                    DB05.DeleteAction(strRemove, false);
+                    DB06.DeleteAction(strRemove, false);
+                    DB07.DeleteAction(strRemove, false);
+                    DB08.DeleteAction(strRemove, false);
+                    DB09.DeleteAction(strRemove, false);
+                    DB10.DeleteAction(strRemove, false);
+                    DB11.DeleteAction(strRemove, false);
+                    DB12.DeleteAction(strRemove, false);
+                    DB13.DeleteAction(strRemove, false);
+                    DB14.DeleteAction(strRemove, false);
+                    DB15.DeleteAction(strRemove, false);
+                    DB16.DeleteAction(strRemove, false);
+                    DB17.DeleteAction(strRemove, false);
+                    DB18.DeleteAction(strRemove, false);
+                    DB19.DeleteAction(strRemove, false);
+                    DB20.DeleteAction(strRemove, false);
+                    DB21.DeleteAction(strRemove, false);
+                    DB22.DeleteAction(strRemove, false);
+                    DB23.DeleteAction(strRemove, false);
+                    DB24.DeleteAction(strRemove, false);
+                    DB25.DeleteAction(strRemove, false);
+                    DB26.DeleteAction(strRemove, false);
+                    DB27.DeleteAction(strRemove, false);
+
+                    if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent
+                        || BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Parent)
+                    {
+                        DB03.DeleteAction(strRemove, false);
+                    }
+                    else if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
+                    {
+                        strRemove2 = string.Format(" Where FluctuationCode = {0}", RemoveList[i]);
+                        strRemove2 += string.Format(" AND LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                        DB03.DeleteAction(strRemove2, false);
+                    }
+                    else if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinChildren)
+                    {
+                        // 削除処理の未実装
+                    }
+                }
+
+                // 結合工事リンク情報更新
+                if (ProcSuccess)
+                {
+                    // 増減工事子の場合（最後のリンク情報か、どうかの確認）
+                    if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
+                    {
+                        if (LinkCount == 1)
+                        {   // 最後のリンクは親を増減工事より外す
+                            if (!DB01.UpdateFeild(ParentCode
+                                                , (int)IOConstructionBaseInfo.TableColumn.TyingFlg
+                                                , (int)CommonDefine.BaseInfoTyingFlg.Standard
+                                                , false))
+                            {
+                                ProcSuccess = false;
+                            }
+                        }
+                    }
+                    // 結合工事親確認
+                    if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent)
+                    {
+                        string strSQL = string.Empty;
+                        for (int i = 0; i < UpdateLinkList.Count; i++)
+                        {
+                            if (!DB01.UpdateFeild(UpdateLinkList[i]
+                                                , (int)IOConstructionBaseInfo.TableColumn.JoinFlg
+                                                , (int)CommonDefine.BaseInfoJoinFlg.Standard
+                                                , false))
+                            {
+                                ProcSuccess = false;
+                                break;
+                            }
+                            strSQL = string.Format("UPDATE CONSTRUCTIONBASEINFO A SET A.JOINFLG = {0}", (int)CommonDefine.BaseInfoJoinFlg.Standard);
+                            strSQL += " WHERE A.CONSTRUCTIONCODE IN (SELECT AA.FLUCTUATIONCODE FROM CONSTRUCTIONLINK AA";
+                            strSQL += string.Format(" WHERE AA.CONSTRUCTIONCODE = {0}",UpdateLinkList[i]);
+                            strSQL += string.Format(" AND AA.LINKTYPE = {0})", (int)CommonDefine.LinkDataType.FluctuationType);
+                            DB01.ExecuteNonQuery(strSQL, false);
+                        }
+                    }
+                }
+                // ＤＢ終了処理
+                if (ProcSuccess)
+                {
+                    DB01.commit(); DB02.commit(); DB03.commit(); DB04.commit(); DB05.commit(); DB06.commit();
+                    DB07.commit(); DB08.commit(); DB09.commit(); DB10.commit(); DB11.commit(); DB12.commit();
+                    DB13.commit(); DB14.commit(); DB15.commit(); DB16.commit(); DB17.commit(); DB18.commit();
+                    DB19.commit(); DB20.commit(); DB21.commit(); DB22.commit(); DB23.commit(); DB24.commit();
+                    DB25.commit(); DB26.commit(); DB27.commit();
+                }
+                else
+                {
+                    DB01.rollback(); DB02.rollback(); DB03.rollback(); DB04.rollback(); DB05.rollback(); DB06.rollback();
+                    DB07.rollback(); DB08.rollback(); DB09.rollback(); DB10.rollback(); DB11.rollback(); DB12.rollback();
+                    DB13.rollback(); DB14.rollback(); DB15.rollback(); DB16.rollback(); DB17.rollback(); DB18.rollback();
+                    DB19.rollback(); DB20.rollback(); DB21.rollback(); DB22.rollback(); DB23.rollback(); DB24.rollback();
+                    DB25.rollback(); DB26.rollback(); DB27.rollback();
+                }
+
+                return ProcSuccess;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                DB01.close(); DB02.close(); DB03.close(); DB04.close(); DB05.close(); DB06.close();
+                DB07.close(); DB08.close(); DB09.close(); DB10.close(); DB11.close(); DB12.close();
+                DB13.close(); DB14.close(); DB15.close(); DB16.close(); DB17.close(); DB18.close();
+                DB19.close(); DB20.close(); DB21.close(); DB22.close(); DB23.close(); DB24.close();
+                DB25.close(); DB26.close(); DB27.close();
+
+                DB01 = null; DB02 = null; DB03 = null; DB04 = null; DB05 = null; DB06 = null;
+                DB07 = null; DB08 = null; DB09 = null; DB10 = null; DB11 = null; DB12 = null;
+                DB13 = null; DB14 = null; DB15 = null; DB16 = null; DB17 = null; DB18 = null;
+                DB19 = null; DB20 = null; DB21 = null; DB22 = null; DB23 = null; DB24 = null;
+                DB25 = null; DB26 = null; DB27 = null;
+            }
+        }
+        #endregion
+
+        #region 工事リンクコード取得
+        /// <summary>
+        /// 工事リンクコード取得
+        /// </summary>
+        private static void GetLinkageCode(int RemoveCode, IOConstructionLink LinkDB, ref List<int> RemoveList, bool bJoin = true)
+        {
+            try
+            {
+                string strSQL = "SELECT FLUCTUATIONCODE FROM CONSTRUCTIONLINK";
+                strSQL += LinkDB.CreatePrimarykeyString(RemoveCode);
+                if (bJoin)
+                    strSQL += string.Format(" AND LINKTYPE = {0}", (int)CommonDefine.LinkDataType.JoinType);
+                else
+                    strSQL += string.Format(" AND LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                ArrayList arList = new ArrayList();
+                if (!LinkDB.ExecuteReader(strSQL, ref arList)) return;
+                foreach (object[] CurRec in arList)
+                {
+                    RemoveList.Add(CommonMotions.cnvInt(CurRec[0]));
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 増減工事リンク親コード取得
+        /// <summary>
+        /// 増減工事リンク親コード取得
+        /// </summary>
+        private static int GetLinkageCode2(int RemoveCode, IOConstructionLink LinkDB, ref int ParentCode)
+        {
+            try
+            {
+                string strSQL = "SELECT B.CONSTRUCTIONCODE, COUNT(*) FROM CONSTRUCTIONLINK A, CONSTRUCTIONLINK B";
+                strSQL += string.Format(" WHERE A.FLUCTUATIONCODE = {0}", RemoveCode);
+                strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += " GROUP BY B.CONSTRUCTIONCODE";
+
+                ArrayList arList = new ArrayList();
+                if (!LinkDB.ExecuteReader(strSQL, ref arList)) return 0;
+
+                object[] CurRec = (object[])arList[0];
+
+                ParentCode = CommonMotions.cnvInt(CurRec[0]);
+                return CommonMotions.cnvInt(CurRec[1]);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region 結合親工事番号取得処理
+        /// <summary>
+        /// 結合親工事番号取得処理
+        /// </summary>
+        /// <param name="DataList"></param>
+        /// <param name="bFirst"></param>
+        public static void GetParentData(int SearchCode, ref ArrayList DataList, ref int FuncCnt)
+        {
+            IOConstructionBaseInfo BaseDB = new IOConstructionBaseInfo();
+            try
+            {
+                int iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
+
+                DataList.Clear();
+                // 結合工事表示
+                string strParent = "SELECT DISTINCT(A.CONSTRUCTIONCODE), B.REQUESTEDDATE, 0, 0, 0, 0, F.DETAILSTRING, B.JOINFLG";
+                strParent += " FROM CONSTRUCTIONLINK A";
+                strParent += " LEFT OUTER JOIN CONSTRUCTIONBASEINFODETAIL F ON (F.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strParent += string.Format(" AND F.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strParent += " , CONSTRUCTIONBASEINFO B";
+
+                strParent += string.Format(" WHERE A.FLUCTUATIONCODE = {0}", SearchCode);
+
+                switch (FuncCnt)
+                {
+                    case 0:
+                    case 2:
+                        // 結合タイプよりデータを検索
+                        strParent += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.JoinType);
+                        break;
+                    case 1:
+                        // 増減タイプよりデータを検索
+                        strParent += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                        break;
+                }
+
+                strParent += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strParent += string.Format(" AND B.CONSTRUCTIONSTATUSFLG != {0}", iStatus);
+
+                if (!BaseDB.ExecuteReader(strParent, ref DataList))
+                {
+                    FuncCnt = 3;
+                    return;
+                }
+
+                FuncCnt++;
+
+                if (DataList.Count == 0)
+                {
+                    if (FuncCnt > 2) return;
+
+                    // 3回目までは再起呼出
+                    GetParentData(SearchCode, ref DataList, ref FuncCnt);
+                    return;
+                }
+
+                // 結合の元データ以外はクリア
+                object[] objRec = (object[])DataList[0];
+                if (CommonMotions.cnvInt(objRec[7]) != (int)CommonDefine.BaseInfoJoinFlg.JoinParent)
+                {
+                    int SecondCode = CommonMotions.cnvInt(objRec[0]);
+                    DataList.Clear();
+                    GetParentData(SecondCode, ref DataList, ref FuncCnt);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                BaseDB.close(); BaseDB = null;
+            }
+        }
+        #endregion
+
+        #region 結合親工事の工事進捗状態をセットする
+        /// <summary>
+        /// 結合親工事の工事進捗状態をセットする
+        /// </summary>
+        public static bool SetParentConstrStatus(IOConstructionBaseInfo BaseDB, int TargetCode)
+        {
+            try
+            {
+                // 対象の工事情報を取得する
+                string strSQL = BaseDB.CreatePrimarykeyString(TargetCode);
+                ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
+                if (!BaseDB.SelectAction(strSQL, ref BaseRec, false)) return false;
+
+                // 結合工事では無ければ処理しない
+                if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard) return true;
+
+                // 対象の親番号を取得する
+                int ParentCode = ClsProcessExist.GetParentConstrCode(TargetCode);
+
+                // 結合している工事番号をすべて取得する
+                strSQL = "SELECT A.CONSTRUCTIONCODE, A.FLUCTUATIONCODE, D.JOINFLG, B.FLUCTUATIONCODE, C.JOINFLG FROM CONSTRUCTIONLINK A";
+                strSQL += " LEFT JOIN CONSTRUCTIONLINK B ON B.CONSTRUCTIONCODE = A.FLUCTUATIONCODE";
+                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFO C ON C.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
+                strSQL += " , CONSTRUCTIONBASEINFO D";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", ParentCode);
+                strSQL += " AND D.CONSTRUCTIONCODE = A.FLUCTUATIONCODE";
+                strSQL += " ORDER BY D.JOINFLG ASC, C.JOINFLG ASC";
+
+                ArrayList arList = new ArrayList();
+                if (!BaseDB.ExecuteReader(strSQL, ref arList, false)) return false;
+                if (arList.Count == 0) return false;
+
+                List<int> CodeList = new List<int>();
+                int FCode = 0;
+                int SCode = 0;
+                foreach (object[] objRec in arList)
+                {
+                    FCode = CommonMotions.cnvInt(objRec[1]);
+                    SCode = CommonMotions.cnvInt(objRec[3]);
+
+                    if (FCode != 0) CodeList.Add(FCode);
+                    if (SCode != 0) CodeList.Add(SCode);
+                }
+
+                // 工事進捗を取得する
+                strSQL = "SELECT MIN(CONSTRUCTIONSTATUSFLG), MAX(CONSTRUCTIONSTATUSFLG)";
+                strSQL += " FROM CONSTRUCTIONBASEINFO";
+                strSQL += " WHERE CONSTRUCTIONCODE IN (";
+                for (int i = 0; i < CodeList.Count; i++)
+                {
+                    if (i != 0) strSQL += ", ";
+                    strSQL += CodeList[i].ToString();
+                }
+                strSQL += ")";
+                
+                arList.Clear();
+                if (!BaseDB.ExecuteReader(strSQL, ref arList, false)) return false;
+                if (arList.Count == 0) return false;
+                object[] StatRec = (object[])arList[0];
+
+                int MinStat = CommonMotions.cnvInt(StatRec[0]);
+                int MaxStat = CommonMotions.cnvInt(StatRec[1]);
+
+                // 親工事進捗更新
+                if (!BaseDB.UpdateFeild(ParentCode, (int)IOConstructionBaseInfo.TableColumn.ConstructionStatusFlg, MinStat, false))
+                {
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
     }
 }
